• Revista PROGRAMAR: Já está disponível a edição #53 da revista programar. Faz já o download aqui!

Dkid

Ubuntu Jaunty + apache 1.3.41 + mod_perl1.31

3 mensagens neste tópico

Boas pessoal,

Estou com problemas a instalar o Apache 1.3.41 e o mod_perl 1.31 no ubuntu 9(jaunty)

Será que me podiam dar umas luzes ?

Não tenho interesse em instalar o apache2 nem o mod_perl2...

Cumprimentos e obrigado pela atenção

PS: Senão for possivel ou conheçam outra distro em que é possivel o que quero digam-me. Obrigado

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Pessoalmente não gosto de respostas como a que estou a dar... mas tens a certeza que é isso que queres?

É que o apache 1 e coisa do passado, nem sei se ainda é mantido.

Não leste nenhum livro antigo ou assim? Isto são tecnologias, ficar agarrado ao passado não é o melhor. Mas não sei, lá terás as tuas razões.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Boas, que é legacy eu sei, mas não podes chegar a uma empresa e dizeres para mudar isto e mais aquilo porque é tudo legacy.

Mas além desse problema é que estavamos a ter uns problemas grandes com o Apache2::Cookie (porque eu estava a usar o apache2, como sempre usei o software mais actual, mas depois se te dá erros inesplicáveis após leres toda a documentação e inclusive fazeres copy paste e não dar... é obra...

Não leste nenhum livro antigo ou assim? Isto são tecnologias, ficar agarrado ao passado não é o melhor. Mas não sei, lá terás as tuas razões.

Li, HTML::Mason (Outubro 2002), Apache Cookbook (Novembro 2003) , Apache The Definitive Guide, 3rd Edition (Dezembro 2002), como podes ver são todos bastante recentes :) ...

E até temos um exemplo real de um site a correr com estas tecnologias : www.booking.com -> http://www.slideshare.net/cmnunes/bookingcom-perl

Portanto, como usam apache1.3.x eu é que tenho de me adaptar.

Resumindo e concluíndo, deixo aqui como consegui dominar o bicho!

1- Realizar o symlink

ln -sf /bin/bash /bin/sh

2- Download do Apache 1.3.41

- Deszipar a pasta

- Entrar na pasta

- ./configure --prefix=/etc/apache --with-layout=Apache --enable-shared=max--exable-module=most

3- Ficheiro de configuração do apache

- /etc/apache/conf/httpd.conf

4- Apache Start

- /etc/apache/bin/apachectl start

5- Instalar o mod_perl 1.31 do cpan

- cpan

- install mod_perl

6- beber uma cerveja no final para comemorar!

Espero que se alguém um dia precisar não passe 6-7 horas a tentar solucionar o problema como eu.

Cumprimentos,

Dkid

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Crie uma conta ou ligue-se para comentar

Só membros podem comentar

Criar nova conta

Registe para ter uma conta na nossa comunidade. É fácil!


Registar nova conta

Entra

Já tem conta? Inicie sessão aqui.


Entrar Agora